{typeId}: Get type information

API: crossref.org:crossref-api
Endpoint: /types/{typeId}
Response format: application/json
Charset: utf-8
Auth: unknown
Method: GET
Last Status: 200
Latency: 407ms

Description

Get information about a specific work type.

Parameters (1)

typeId (string, path, required)

The work type ID

Examples (3)

Get journal-article type information curl
curl 'https://api.crossref.org/types/journal-article'
import requests

resp = requests.get("https://api.crossref.org/types/journal-article")
data = resp.json()
import zingu_apis

api = zingu_apis.api("crossref")
result = api.fetch("types/{typeId}")

for item in result:
    print(item)
const resp = await fetch("https://api.crossref.org/types/journal-article");
const data = await resp.json();
Get book type information curl
curl 'https://api.crossref.org/types/book'
import requests

resp = requests.get("https://api.crossref.org/types/book")
data = resp.json()
import zingu_apis

api = zingu_apis.api("crossref")
result = api.fetch("types/{typeId}")

for item in result:
    print(item)
const resp = await fetch("https://api.crossref.org/types/book");
const data = await resp.json();
Get dataset type information curl
curl 'https://api.crossref.org/types/dataset'
import requests

resp = requests.get("https://api.crossref.org/types/dataset")
data = resp.json()
import zingu_apis

api = zingu_apis.api("crossref")
result = api.fetch("types/{typeId}")

for item in result:
    print(item)
const resp = await fetch("https://api.crossref.org/types/dataset");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 03:24:59.099106 200 407ms
2026-04-16 03:10:04.760028 200 408ms
2026-04-16 01:04:51.960610 200 411ms
2026-04-15 03:53:25.488426 200 467ms
2026-04-15 02:23:00.465093 200 415ms
2026-04-15 00:05:23.469854 200 410ms
2026-04-14 01:09:39.885983 200 414ms
2026-04-14 01:07:32.703088 200 419ms
2026-04-14 00:53:34.562471 200 420ms
2026-04-12 13:55:23.616499 200 406ms
2026-04-12 13:30:11.668380 200 384ms
2026-04-12 12:35:09.704894 200 472ms
2026-04-10 02:04:14.394670 200 344ms
2026-04-10 01:34:56.577270 200 1009ms
2026-04-10 00:31:19.401607 200 631ms
2026-04-09 02:13:43.123911 200 411ms
2026-04-09 02:06:38.341483 200 1015ms
2026-04-09 00:49:17.939673 200 423ms
2026-04-08 07:02:26.988210 200 411ms
2026-04-08 01:38:53.537260 200 419ms
2026-04-08 00:20:15.542528 200 404ms
2026-04-07 00:44:45.645842 200 408ms
2026-04-07 00:43:14.226396 200 414ms
2026-04-07 00:35:03.756950 200 611ms
2026-04-06 06:03:59.412498 200 475ms
2026-04-06 04:47:56.473169 200 626ms
2026-04-06 04:06:25.154909 200 635ms
2026-04-05 03:47:49.634092 200 533ms
2026-04-05 02:43:37.558208 200 538ms
2026-04-05 02:10:58.374870 200 485ms
2026-04-04 03:06:52.668559 200 410ms
2026-04-04 02:35:52.917238 200 368ms
2026-04-04 02:26:32.030291 200 400ms
2026-04-03 13:03:37.853901 200 404ms
2026-04-03 12:21:26.166400 200 410ms
2026-04-03 12:02:36.837384 200 424ms
2026-03-30 02:44:09.321368 200 402ms
2026-03-30 02:27:10.287499 200 391ms
2026-03-30 02:23:23.304885 200 484ms
2026-03-29 13:21:22.976622 200 364ms
2026-03-29 13:20:20.740687 200 483ms
2026-03-29 13:18:51.048239 200 409ms
2026-03-23 10:13:07.193144 200 335ms
2026-03-23 09:19:10.455920 200 332ms
2026-03-23 09:14:53.321400 200 336ms